Name:		uname26
Version:	1.0
Release:	3%{?dist}
Summary:	wrapper for executables that need a 2.6.x output from uname(2)

License:	GPL
URL:		ftp://ftp.kernel.org/pub/linux/kernel/people/ak/uname26/uname26.c
Source0:	uname26.c
Source1:	uname26.1

BuildRequires:	gcc
ExclusiveArch:	x86_64

%description
The uname26 program is a small wrapper executable that activates the 2.6 
personality patch in 3.x Linux kernels. It is a band-aid program to be used
when an executable has broken versioning logic (i.e. cannot deal with a 3.x
kernel version). 

Usage:   uname26 <executable and arguments>

Example:
	$ uname -r
	3.0.7-rt20.36.el6rt.x86_64
	$ uname26 uname -r
	2.6.40-rt20.36.el6rt.x86_64


%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
gcc -O2 -s -o uname26 uname26.c

%install

install -m 755 -D uname26 %{buildroot}%{_bindir}/uname26
mkdir -p %{buildroot}%{_mandir}/man1
gzip -c uname26.1 > %{buildroot}%{_mandir}/man1/uname26.1.gz

%files
%attr(0755, root, root) %{_bindir}/uname26
%doc %{_mandir}/man1/uname26.1.gz

%changelog
* Mon Oct 31 2011 Clark Williams <williams@redhat.com> - 1.0-3
- stripped executable 

* Mon Oct 31 2011 Clark Williams <williams@redhat.com> - 1.0-2
- modified to only build x86_64 rpm

* Fri Oct 28 2011 Clark Williams <williams@redhat.com> - 1.0-1
- initial packaging

